<?php

/**
 *
 * Copyright (C) Die Randgruppe GmbH
 *
 * http://www.randshop.com
 * http://www.dierandgruppe.com
 *
 * Unter der Lizenz von Die Randgruppe GmbH:
 * http://www.randshop.com/Lizenz
 *
 * $Author$
 * $Date$
 * $Revision$
 *
 */

session_start();

	include("../conf/config.inc.php");
	include (DATEIPFAD . "conf/db.inc.php");
	include("global_off.inc.php");
	include(DATEIPFAD . "includes/language/langu_" . LANGU_ADMIN . ".inc.php");
	include(DATEIPFAD . "includes/language/langu_admin_" . LANGU_ADMIN . ".inc.php");
	include_once(DATEIPFAD . "includes/functions.language.inc.php");
    if(RECHNUNGSWESEN) {
        include_once(DATEIPFAD . "includes/functions.mod.bestellungen.inc.php");
    } else {
        include_once(DATEIPFAD . "includes/functions.bestellungen.inc.php");
    }

$BestellstatusDataArray = GetBestellstatusDataArray($LanguageID, DOCUMENT_ID_BESTELLUNG);
	$AngebotsstatusDataArray = GetBestellstatusDataArray($LanguageID, DOCUMENT_ID_ANGEBOT);

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title>Navi</title>
	<link rel="stylesheet" type="text/css" href="style/style.css">
	<meta http-equiv="Content-Type" content="text/html; charset=<?=CHARSET?>">
</head>
<body>

<div class="seitenNavi">

<h2><?=$lang_admin_bestellungen;?></h2>

<ul>
<? if(RECHNUNGSWESEN) { ?>
	<li><a href="bestellungen/index.php?sessionReset=true" target="main"><?=$lang_alle?></a></li>
	<? foreach ($BestellstatusDataArray as $BestellStatusData) { ?>
		<li><a href="bestellungen/index.php?bestellstatusid=<?=$BestellStatusData["id"]?>&sessionReset=true" target="main"><?=$BestellStatusData["name"]?></a></li>
	<? } ?>
<? } else { ?>
	<li><a href="bestellungen/index.php?bestellstatusid=<?=BESTELLSTATUS_EINGEGANGEN?>&sessionReset=true" target="main"><?=$n_oBestellungen?></a></li>
	<li><a href="bestellungen/index.php?bestellstatusid=<?=BESTELLSTATUS_BEZAHLT?>&sessionReset=true" target="main"><?=$n_bBestellungen?></a></li>
	<li><a href="bestellungen/index.php?bestellstatusid=<?=BESTELLSTATUS_UNBESTAETIGT?>&sessionReset=true" target="main"><?=$lang_unbestaetigt?></a></li>
<? } ?>


<?if(RECHNUNGSWESEN) { ?>
	<li><a href="bestellungen/kunden.php?sessionReset=true" target="main"><?=$n_newRechn?></a></li>
<?php } ?>
</ul>

<?php if(GUTSCHRIFTEN) {?>
    <h2>Gutschriften</h2>
    <ul>
        <li><a href="bestellungen/gutschriften.php?gutstatus=50&initialize=on" target="main">offen</a></li>
        <li><a href="bestellungen/gutschriften.php?gutstatus=51&initialize=on" target="main">abgeschlossen</a></li>
        <li><a href="bestellungen/kunden.php?gutschriftstatus=1" target="main">Neue Gutschrift</a></li>
    </ul>
<?php }?>


<? if(RECHNUNGSWESEN) { ?>
	<h2><?php echo $a_nav_angebote ?></h2>
	<ul>
		<li><a href="angebote/index.php?sessionReset=true" target="main"><?=$lang_alle?></a></li>
		<? foreach ($AngebotsstatusDataArray as $AngebotsstatusData) { ?>
			<li><a href="angebote/index.php?bestellstatusid=<?=$AngebotsstatusData["id"]?>&sessionReset=true" target="main"><?=$AngebotsstatusData["name"]?></a></li>
		<? } ?>
		<li><a href="angebote/kunden.php?sessionReset=true" target="main"><?php echo $a_nav_angebot_neu ?></a></li>
	</ul>

	<h2><?=$lang_faktura_Einstellungen?></h2>
	<ul>
		<li><a href="bestellungen/mahnungs_einstellungen.php?sessionReset=true" target="main"><?=$a_mahnung;?></a></li>
		<li><a href="verwaltung/bestellstatus_index.php?sessionReset=true" target="main"><?=$lang_bestellstatus;?></a></li>
		<li><a href="verwaltung/zahlungserinnerung_konfig.php?sessionReset=true" target="main"><?=$lang_zahlungserinnerung;?></a></li>
	</ul>

	<h2><?=$lang_admin_zahlungen?></h2>
	<ul>
		<li><a href="bestellungen/zahlungen.php?sessionReset=true" target="main"><?=$lang_admin_zahlungsimport_navi_import?></a></li>
		<li><a href="bestellungen/zahlungen_verarbeitet.php?sessionReset=true" target="main"><?=$lang_admin_zahlungsimport_navi_bearbeitetezahlungen?></a></li>
		<li><a href="bestellungen/zahlungsimport_konfig.php?sessionReset=true" target="main"><?=$lang_admin_zahlungsimport_navi_konfig?></a></li>
	</ul>
<? } ?>

<?php if (LIEFERANTENVERWALTUNG) { ?>
<h2><?=$lang_lagerverwaltung?></h2>
<ul>
	<li><a href="lagerbuch/warenbestand.php?sessionReset=true" target="main"><?=$l_lagerbestand;?></a></li>
</ul>
<?php } else { ?>
<h2><?=$lang_lagerverwaltung?></h2>
<ul>
	<li><a href="bestellungen/warenbestand.php?formaction=session_reset" target="main"><?=$l_lagerbestand;?></a></li>
</ul>
<?php } ?>

<h2>Faktura Modul</h2>
<ul>
    <li><a href="http://www.shop.randshop.com/themes/kategorie/detail.php?artikelid=4" target="_blank">zusatzmodul für Rechnung, Lieferscheine, Mahnungen, Gutschriften und mehr.</a></li>
</ul>

</div>

</body>
</html>
