<?php

/**
 * 
 * Copyright (C) Die Randgruppe GmbH
 * 
 * http://www.randshop.com
 * http://www.dierandgruppe.com
 * 
 * Unter der Lizenz von Die Randgruppe GmbH:
 * http://www.randshop.com/Lizenz
 *  
 * $Author$
 * $Date$
 * $Revision$
 * 
 */

	session_start();
	header ("Pragma: no-cache"); // HTTP/1.0 

	include ("../../conf/config.inc.php");
    include_once(DATEIPFAD . "conf/db.inc.php");
    include_once(DATEIPFAD . "includes/language/langu_" . LANGU_ADMIN . ".inc.php");
    include_once(DATEIPFAD . "includes/functions.statistik.inc.php");
    include_once(DATEIPFAD . "includes/functions.verwaltung.inc.php");
?>




<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>

	<title><?=$a_admin;?></title>
	<link rel="stylesheet" type="text/css" href="../style/style.css">
	<script language="JavaScript" src="../../js_function/global.js" type="text/javascript"></script>
	<meta http-equiv="cache-control" content="no-cache">
	<meta http-equiv="pragma" content="no-cache">
	<meta HTTP-EQUIV="Expires" CONTENT="0">
	<meta http-equiv="Content-Type" content="text/html; charset=<?=CHARSET?>">
</head>

<body class="mainBackground">

<?
// PHP Tests
//echo date("M-d-Y", mktime(0, 0, 0, 12, 32, 1997));
//echo date("M-d-Y", mktime(0, 0, 0, 13, 1, 1997));
//echo date("Y-m-d", mktime(0, 0, 0, -1, 1, 1998));
//echo date("M-d-Y", mktime(0, 0, 0, 1, 1, 98));
//echo "<br><br><br>";

if($_POST["umsatzsubmit"]) {
	$vonDatum = $_POST["jahr"]."-".$_POST["monat"]."-".$_POST["tag"];
	$bisDatum = $_POST["jahr2"]."-".$_POST["monat2"]."-".$_POST["tag2"];
	$printUmsatz = $lang_admin_date_auswahl." ".$_POST["tag"].".".$_POST["monat"].".".$_POST["jahr"] . " ".$lang_admin_bis." ".$_POST["tag2"].".".$_POST["monat2"].".".$_POST["jahr2"];
	$printAusgaben = $lang_admin_date_auswahl_ausgaben." ".$_POST["tag"].".".$_POST["monat"].".".$_POST["jahr"] . " ".$lang_admin_bis." ".$_POST["tag2"].".".$_POST["monat2"].".".$_POST["jahr2"];
} else {
	$printUmsatz = $lang_admin_letzter_Umsatz; 
	$printAusgaben = $lang_admin_letzte_ausgaben; 
	$bisDatum = date("Y-m-d");
	$aktJahr = date("Y");
	$aktmon = date("m");
	$akttag = date("d") - 30;
	$vonDatum = date("Y-m-d", mktime(0, 0, 0, $aktmon, $akttag, $aktJahr)); 
}

echo "<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">";
echo "<tr>";
echo "<td><b>".$lang_admin_umsatzerloese."</b></td>";
echo "</tr>";
echo "<tr><td>&nbsp;</td></tr>";
echo "<form name=\"umsatzForm\" method=\"post\" action=\"umsatz.php\">";
echo "<tr><td>".$lang_admin_date_auswahl.":&nbsp;";
echo "<select name=\"tag\">";
for($i=1;$i<32;$i++) {
	if($i == $_POST["tag"]) {
		echo "<option value=\"".$i."\" selected>".$i;
	} else {
		echo "<option value=\"".$i."\">".$i;
	}
}
echo "</select> ";
echo "<select name=\"monat\">";
for($i=1;$i<13;$i++) {
	if($i == $_POST["monat"]) {
		echo "<option value=\"".$i."\" selected>".$i;
	} else {
		echo "<option value=\"".$i."\">".$i;
	}
}
echo "</select> ";
echo "<select name=\"jahr\">";
for($i=2004;$i<2026;$i++) {
	if($i == $_POST["jahr"]) {
		echo "<option value=\"".$i."\" selected>".$i;
	} elseif(($i == date("Y")) && (!$_POST["jahr"])) {
		echo "<option value=\"".$i."\" selected>".$i;
	} else {
		echo "<option value=\"".$i."\">".$i;
	}
}
echo "</select> ";
echo "&nbsp;".$lang_admin_bis."&nbsp;";
// Datum bis
echo "<select name=\"tag2\">";
for($i=1;$i<32;$i++) {
	if($i == $_POST["tag2"]) { echo "<option value=\"".$i."\" selected>".$i; } else {
		echo "<option value=\"".$i."\">".$i; }
}
echo "</select> ";
echo "<select name=\"monat2\">";
for($i=1;$i<13;$i++) {
	if($i == $_POST["monat2"]) { echo "<option value=\"".$i."\" selected>".$i; } else {
		echo "<option value=\"".$i."\">".$i; }
}
echo "</select> ";
echo "<select name=\"jahr2\">";
for($i=2004;$i<2026;$i++) {
	if($i == $_POST["jahr2"]) {
		echo "<option value=\"".$i."\" selected>".$i;
	} elseif(($i == date("Y")) && (!$_POST["jahr2"])) {
		echo "<option value=\"".$i."\" selected>".$i;
	} else {
		echo "<option value=\"".$i."\">".$i;
	}
}
echo "</select> ";
echo "<input type=\"submit\" name=\"umsatzsubmit\" value=\"".$lang_admin_anzeigen."\">"; 
echo "</td></tr>";
echo "</form>";
echo "</table><br><br>";

// Brutto Umsatz
$HolUmsatz = GetUmsatz($bisDatum,$vonDatum);

if($HolUmsatz) {
	foreach($HolUmsatz as $zeigeUmsatz) {
		//echo $zeigeUmsatz["gesamtpreis"]."<br>";
		$gesamtUmsatz += $zeigeUmsatz["gesamtpreis"];
		$gesamtNetto += $zeigeUmsatz["netto"];
	}
	
//echo "Gesamtumsatz ueberhaupt: ". $gesamtUmsatz . "<br>";
}

echo "<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"500\">";
echo "<tr><td colspan=\"2\"><b>".$printUmsatz."</b><br><br></td></tr>";
echo "<tr>";
echo "<td width=\"400\">04400 ".$lang_admin_erloese.":&nbsp;</td>";
echo "<td align=\"right\">".number_format($gesamtNetto,2,',','')."</td>";
echo "<td>&nbsp;</td>";
echo "</tr>";

// Sonstige Erloese
$HolErloese = GetErloese($bisDatum,$vonDatum);
if($HolErloese) {
	$oldKontoNr = $HolErloese[0]["kontonr"];
	$oldKontoName = $HolErloese[0]["kontoname"];
	$oldKontoId = $HolErloese[0]["kontoid"];
	foreach($HolErloese as $zeigeErloese) {
		$ShowLastRow = true;
		if($oldKontoId != $zeigeErloese["kontoid"]) {
			echo "<tr><td>".$oldKontoNr."&nbsp;".$oldKontoName.":&nbsp;</td>";
			$oldKontoId = $zeigeErloese["kontoid"];
			echo "<td align=\"right\">".number_format($gesamtNettoErloese,2,',','')."</td>";
			echo "</tr>";
			$oldKontoNr = $zeigeErloese["kontonr"];
			$oldKontoName = $zeigeErloese["kontoname"];
			$oldKontoId = $zeigeErloese["kontoid"];
			$gesamtNettoErloese ='';
			$ShowLastRow = false;
		}
		$gesamtNettoErloese += $zeigeErloese["nettopreis"];
		$gesamtBruttoErloese += $zeigeErloese["bruttopreis"];
		$gesamtNettoErloes += $zeigeErloese["nettopreis"];
	}
		if($ShowLastRow == true) {
			echo "<tr><td>".$zeigeErloese["kontonr"]."&nbsp;".$zeigeErloese["kontoname"].":&nbsp;</td>";
			$oldKontoId = $zeigeErloese["kontoid"];
			echo "<td align=\"right\">".number_format($gesamtNettoErloese,2,',','')."</td>";
			echo "</tr>";
		}
}		

// Erechnet die Gesamtsumme Netto der Einnahmen
$absolutNettoSumme = $gesamtNetto + $gesamtNettoErloes;
echo "<tr>";
echo "<td><b>Gesamtumsatz Netto:</b> </td>";
echo "<td align=\"right\"><b>".number_format($absolutNettoSumme,2,',','')."</b></td>";
echo "</tr>";

// Mwst
$absolutBruttoSumme = $gesamtUmsatz + $gesamtBruttoErloese;
$mwstEinnahme = $absolutBruttoSumme - $absolutNettoSumme;
echo "<tr>";
echo "<td><b>Vereinnahmte Umsatzsteuer:</b> </td>";
echo "<td align=\"right\"><b>".number_format($mwstEinnahme,2,',','')."</b></td>";
echo "</tr>";

// Gesamtbrutto Umsatz
echo "<tr>";
echo "<td><b>Gesamtumsatz Brutto:</b> </td>";
echo "<td align=\"right\"><b>".number_format($absolutBruttoSumme,2,',','')."</b></td>";
echo "</tr>";
echo "<tr>";
echo "<td colspan=\"2\" align=\"right\"><b><a href=\"umsatz_drucken.php?vonDatum=".$vonDatum."&bisDatum=".$bisDatum."\" target=\"_blank\">Detailauflistung Drucken</a></b></td>";
echo "</tr>";




// Hier kommen die Ausgabenberechnungen *******************************************


echo "<tr><td><br><br><br></td></tr>";
echo "<tr><td colspan=\"2\"><b>".$printAusgaben."</b><br><br></td></tr>";


// Allgemeine Ausgaben
$HolAusgaben = GetAusgaben($bisDatum,$vonDatum);
if($HolAusgaben) {
	$oldAKontoNr = $HolAusgaben[0]["kontonr"];
	$oldAKontoName = $HolAusgaben[0]["kontoname"];
	$oldAKontoId = $HolAusgaben[0]["kontoid"];
	foreach($HolAusgaben as $zeigeAusgaben) {
		$ShowLastRow = true;
		//echo $oldAKontoId ."-".$zeigeAusgaben["kontoid"]."<br>";
		if($oldAKontoId != $zeigeAusgaben["kontoid"]) {
			echo "<tr><td>".$oldAKontoNr."&nbsp;".$oldAKontoName.":&nbsp;</td>";
			$oldAKontoId = $zeigeAusgaben["kontoid"];
			echo "<td align=\"right\">".number_format($gesamtNettoAusgaben,2,',','')."</td>";
			echo "</tr>";
			$oldAKontoNr = $zeigeAusgaben["kontonr"];
			$oldAKontoName = $zeigeAusgaben["kontoname"];
			$oldAKontoId = $zeigeAusgaben["kontoid"];
			$gesamtNettoAusgaben ='';
			#$ShowLastRow = false;
		}
		$gesamtNettoAusgaben += $zeigeAusgaben["nettopreis"];
		$gesamtBruttoAusgaben += $zeigeAusgaben["bruttopreis"];
		$gesamtNettoAusgabe += $zeigeAusgaben["nettopreis"];
	}
		#if($ShowLastRow == true) {
			echo "<tr><td>".$zeigeAusgaben["kontonr"]."&nbsp;".$zeigeAusgaben["kontoname"].":&nbsp;</td>";
			$oldAKontoId = $zeigeAusgaben["kontoid"];
			echo "<td align=\"right\">".number_format($gesamtNettoAusgaben,2,',','')."</td>";
			echo "</tr>";
		#}
}		

// Erechnet die Gesamtsumme Netto der Einnahmen
echo "<tr>";
echo "<td><b>Gesamtausgaben Netto:</b> </td>";
echo "<td align=\"right\"><b>".number_format($gesamtNettoAusgabe,2,',','')."</b></td>";
echo "</tr>";

// Mwst
$absolutBruttoAusgabenSumme = $gesamtNettoAusgabe + $gesamtBruttoAusgaben;
$mwstAusgabe = $gesamtBruttoAusgaben - $gesamtNettoAusgabe;
echo "<tr>";
echo "<td><b>Umsatzsteuer:</b> </td>";
echo "<td align=\"right\"><b>".number_format($mwstAusgabe,2,',','')."</b></td>";
echo "</tr>";

// Gesamtbrutto Umsatz
echo "<tr>";
echo "<td><b>Gesamtausgaben Brutto:</b> </td>";
echo "<td align=\"right\"><b>".number_format($gesamtBruttoAusgaben,2,',','')."</b></td>";
echo "</tr>";
echo "<tr>";
echo "<td colspan=\"2\" align=\"right\"><b><a href=\"ausgaben_drucken.php?vonDatum=".$vonDatum."&bisDatum=".$bisDatum."\" target=\"_blank\">Detailauflistung Drucken</a></b></td>";
echo "</tr>";


// Zusammenrechnen und Ausgeben der Gewinne
$nettoGewinn = $absolutNettoSumme - $gesamtNettoAusgabe;
if($nettoGewinn < 0) { $fontColor = "color=\"red\""; }
echo "<tr><td><br><br><br></td></tr>";
echo "<tr>";
echo "<td><b><font size=\"2\">Gewinn &Uuml;berschuss Netto:</font></b></td>";
echo "<td align=\"right\"><b><font size=\"2\" ".$fontColor.">".number_format($nettoGewinn,2,',','')."</font></b></td>";
echo "</tr>";
$bruttoGewinn = $absolutBruttoSumme - $gesamtBruttoAusgaben;
if($bruttoGewinn < 0) { $fontColor = "color=\"red\""; }
echo "<tr>";
echo "<td><b><font size=\"2\">Gewinn &Uuml;berschuss Brutto:</font></b></td>";
echo "<td align=\"right\"><b><font size=\"2\" ".$fontColor.">".number_format($bruttoGewinn,2,',','')."</font></b></td>";
echo "</tr>";
$mwstUeberschuss = $mwstEinnahme - $mwstAusgabe;
if($mwstUeberschuss < 0) { $fontColor = "color=\"red\""; }
echo "<tr>";
echo "<td><b><font size=\"2\">Umsatzsteuer &Uuml;berschuss:</font></b></td>";
echo "<td align=\"right\"><b><font size=\"2\" ".$fontColor.">".number_format($mwstUeberschuss,2,',','')."</font></b></td>";
echo "</tr>";
echo "</table><br><br>";



?>
<br>

</body>
</html>
